summaryrefslogtreecommitdiffstats
path: root/source/n
diff options
context:
space:
mode:
Diffstat (limited to 'source/n')
-rwxr-xr-xsource/n/libqmi/libqmi.SlackBuild7
-rwxr-xr-xsource/n/ntp/ntp.SlackBuild2
-rw-r--r--source/n/ntp/rc.ntpd10
-rwxr-xr-xsource/n/openssl/openssl.SlackBuild2
-rwxr-xr-xsource/n/whois/whois.SlackBuild2
5 files changed, 12 insertions, 11 deletions
diff --git a/source/n/libqmi/libqmi.SlackBuild b/source/n/libqmi/libqmi.SlackBuild
index 1addf3f7c..8cc7f4a02 100755
--- a/source/n/libqmi/libqmi.SlackBuild
+++ b/source/n/libqmi/libqmi.SlackBuild
@@ -3,6 +3,7 @@
# Slackware build script for libqmi
# Copyright 2013 Robby Workman, Northport, Alabama, USA
+# Copyright 2021 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,8 +26,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=libqmi
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -70,7 +71,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf $PKGNAM-$VERSION
-tar xf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
+tar xf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION || exit 1
chown -R root:root .
diff --git a/source/n/ntp/ntp.SlackBuild b/source/n/ntp/ntp.SlackBuild
index c4143f3f6..7f8be710e 100755
--- a/source/n/ntp/ntp.SlackBuild
+++ b/source/n/ntp/ntp.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=ntp
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-6}
+BUILD=${BUILD:-7}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
diff --git a/source/n/ntp/rc.ntpd b/source/n/ntp/rc.ntpd
index d1ad44841..9d1e3e88f 100644
--- a/source/n/ntp/rc.ntpd
+++ b/source/n/ntp/rc.ntpd
@@ -11,9 +11,9 @@ ntpd_start() {
# Stop ntpd:
ntpd_stop() {
echo -n "Stopping NTP daemon..."
- if [ -r /var/run/ntpd.pid ]; then
- kill -HUP $(cat /var/run/ntpd.pid)
- rm -f /var/run/ntpd.pid
+ if [ -r /run/ntpd.pid ]; then
+ kill -HUP $(cat /run/ntpd.pid)
+ rm -f /run/ntpd.pid
else
killall -HUP -q ntpd
fi
@@ -29,8 +29,8 @@ ntpd_restart() {
# Check if ntpd is running
ntpd_status() {
- if [ -e /var/run/ntpd.pid ]; then
- echo "ntpd is running as pid $(cat /var/run/ntpd.pid)."
+ if [ -e /run/ntpd.pid ]; then
+ echo "ntpd is running as pid $(cat /run/ntpd.pid)."
else
echo "ntpd is stopped."
exit 1
diff --git a/source/n/openssl/openssl.SlackBuild b/source/n/openssl/openssl.SlackBuild
index 5c3d916f3..523f91f74 100755
--- a/source/n/openssl/openssl.SlackBuild
+++ b/source/n/openssl/openssl.SlackBuild
@@ -28,7 +28,7 @@ TMP=${TMP:-/tmp}
PKGNAM=openssl
VERSION=${VERSION:-$(echo openssl-*.tar.gz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
diff --git a/source/n/whois/whois.SlackBuild b/source/n/whois/whois.SlackBuild
index 37f6cda7b..0b76257f8 100755
--- a/source/n/whois/whois.SlackBuild
+++ b/source/n/whois/whois.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=whois
VERSION=${VERSION:-$(echo ${PKGNAM}-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-1}
# Automatically determine architecture for build & packaging:
if [ -z "$ARCH" ]; then